#!/bin/sh -x

#! Author: Sahoo@Sun.COM

rm ra/test/*.class
javac -cp $S1AS_HOME/lib/javaee.jar `find ra -name *.java`
if [ $? != 0 ] 
then 
  echo "RAR Compilation Failed"
  exit 1
fi
#Build a jar without ActivationSpecImpl.class
#jar cvf ra/ra1.jar -C ra TestRA.class -C ra MessageListener.class
jar cvf ra/ra.jar -C ra .
jar cvf ra.rar -C ra ra.jar -C ra META-INF

rm mdb/test/*.class
javac -classpath $S1AS_HOME/lib/javaee.jar:ra/ra.jar mdb/test/*.java
if [ $? != 0 ] 
then 
  echo "MDB Compilation Failed"
  exit 1
fi
#Make an MDB jar withour META-INF/sun-ejb-jar.xml
jar cvf mdb.jar -C mdb test

jar cvf test.ear ra.rar mdb.jar

#This deploy will fail because mdb-jar does not have mdb-resource-adapter entry.
asadmin deploy test.ear

# Now fix the mdb.jar to include sun-ejb-jar.xml
jar cvf mdb.jar -C mdb test -C mdb META-INF

jar cvf test.ear ra.rar mdb.jar

#This deploy fails because it uses stale classloader.
asadmin deploy test.ear

echo To reproduce again, run 'asadmin undeploy test' followed by './build.sh'
